/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.gui.controladores.esquemaoperacional;

import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Controller;
import org.zkoss.util.resource.Labels;
import org.zkoss.zhtml.Messagebox;
import org.zkoss.zk.ui.Component;
import org.zkoss.zk.ui.Executions;
import org.zkoss.zk.ui.WrongValueException;
import org.zkoss.zk.ui.event.Event;
import org.zkoss.zk.ui.event.InputEvent;
import org.zkoss.zkplus.databind.BindingListModel;
import org.zkoss.zkplus.databind.BindingListModelList;
import org.zkoss.zul.Button;
import org.zkoss.zul.Combobox;
import org.zkoss.zul.Radio;
import org.zkoss.zul.Textbox;

import com.rjconsultores.ventaboletos.entidad.DetDiagramaAutobus;
import com.rjconsultores.ventaboletos.entidad.DiagramaAutobus;
import com.rjconsultores.ventaboletos.entidad.EsquemaAsiento;
import com.rjconsultores.ventaboletos.entidad.EsquemaCorrida;
import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.entidad.PerfilFuncion;
import com.rjconsultores.ventaboletos.entidad.Ruta;
import com.rjconsultores.ventaboletos.entidad.RutaSecuencia;
import com.rjconsultores.ventaboletos.entidad.Tramo;
import com.rjconsultores.ventaboletos.entidad.Usuario;
import com.rjconsultores.ventaboletos.entidad.UsuarioPerfil;
import com.rjconsultores.ventaboletos.exception.BusinessException;
import com.rjconsultores.ventaboletos.service.DiagramaAutobusService;
import com.rjconsultores.ventaboletos.service.EsquemaAsientoService;
import com.rjconsultores.ventaboletos.service.EsquemaCorridaService;
import com.rjconsultores.ventaboletos.service.ParadaService;
import com.rjconsultores.ventaboletos.service.RutaSecuenciaService;
import com.rjconsultores.ventaboletos.service.RutaService;
import com.rjconsultores.ventaboletos.service.UsuarioService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import com.rjconsultores.ventaboletos.web.utilerias.MyComboboxEstandar;
import com.rjconsultores.ventaboletos.web.utilerias.MyGenericForwardComposer;

/**
 * 
 * @author Rafius
 */
@Controller("editarCorridaAsientoController")
@Scope("prototype")
public class EditarCorridaAsientoController extends MyGenericForwardComposer {

	private static final long serialVersionUID = 1L;

	@Autowired
	private EsquemaCorridaService esquemaCorridaService;
	@Autowired
	private EsquemaAsientoService esquemaAsientoService;
	@Autowired
	private ParadaService paradaService;
	@Autowired
	private DiagramaAutobusService diagramaAutoBusService;
	@Autowired
	private RutaService rutaService;
	@Autowired
	private RutaSecuenciaService rutaSecuenciaService;
	@Autowired
	private UsuarioService usuarioService;
	private EsquemaCorrida esquemaCorrida;
	private List<Parada> lsOrigen;
	private List<Parada> lsDestino;
	private List<EsquemaAsiento> lsAsientos;
	private DiagramaAutobus diagramaAutobus;
	private Textbox txtAsiento;
	private Textbox txtTiempoLiberacion;
	private Button btnCeder;
	private Button btnLiberar;
	private Combobox cmbOrigen;
	private Button btn_1_1;
	private Button btn_1_2;
	private Button btn_1_3;
	private Button btn_1_4;
	private Button btn_1_5;
	private Button btn_1_6;
	private Button btn_1_7;
	private Button btn_1_8;
	private Button btn_1_9;
	private Button btn_1_10;
	private Button btn_1_11;
	private Button btn_1_12;
	private Button btn_1_13;
	private Button btn_1_14;
	private Button btn_1_15;
	private Button btn_1_16;
	private Button btn_1_17;
	private Button btn_1_18;
	private Button btn_1_19;
	private Button btn_1_20;
	private Button btn_1_21;
	private Button btn_1_22;
	private Button btn_1_23;
	private Button btn_1_24;
	private Button btn_1_25;
	private Button btn_3_1;
	private Button btn_3_2;
	private Button btn_3_3;
	private Button btn_3_4;
	private Button btn_3_5;
	private Button btn_3_6;
	private Button btn_3_7;
	private Button btn_3_8;
	private Button btn_3_9;
	private Button btn_3_10;
	private Button btn_3_11;
	private Button btn_3_12;
	private Button btn_3_13;
	private Button btn_3_14;
	private Button btn_3_15;
	private Button btn_3_16;
	private Button btn_3_17;
	private Button btn_3_18;
	private Button btn_3_19;
	private Button btn_3_20;
	private Button btn_3_21;
	private Button btn_3_22;
	private Button btn_3_23;
	private Button btn_3_24;
	private Button btn_3_25;
	private Button btn_5_1;
	private Button btn_5_2;
	private Button btn_5_3;
	private Button btn_5_4;
	private Button btn_5_5;
	private Button btn_5_6;
	private Button btn_5_7;
	private Button btn_5_8;
	private Button btn_5_9;
	private Button btn_5_10;
	private Button btn_5_11;
	private Button btn_5_12;
	private Button btn_5_13;
	private Button btn_5_14;
	private Button btn_5_15;
	private Button btn_5_16;
	private Button btn_5_17;
	private Button btn_5_18;
	private Button btn_5_19;
	private Button btn_5_20;
	private Button btn_5_21;
	private Button btn_5_22;
	private Button btn_5_23;
	private Button btn_5_24;
	private Button btn_5_25;
	private Button btn_7_1;
	private Button btn_7_2;
	private Button btn_7_3;
	private Button btn_7_4;
	private Button btn_7_5;
	private Button btn_7_6;
	private Button btn_7_7;
	private Button btn_7_8;
	private Button btn_7_9;
	private Button btn_7_10;
	private Button btn_7_11;
	private Button btn_7_12;
	private Button btn_7_13;
	private Button btn_7_14;
	private Button btn_7_15;
	private Button btn_7_16;
	private Button btn_7_17;
	private Button btn_7_18;
	private Button btn_7_19;
	private Button btn_7_20;
	private Button btn_7_21;
	private Button btn_7_22;
	private Button btn_7_23;
	private Button btn_7_24;
	private Button btn_7_25;
	private Button btnDefault;
	private Radio poltronaExclusiva;
	private Radio poltronaOcupada;
	private MyComboboxEstandar cmbDestino;
	private Textbox txtMotivo;
	private static Logger log = Logger.getLogger(EditarCorridaAsientoController.class);
	
	@Override
	public void doAfterCompose(Component comp) throws Exception {
		esquemaCorrida = (EsquemaCorrida) Executions.getCurrent().getArg().get("esquemaCorrida");

		lsOrigen = new ArrayList<Parada>();
		lsDestino = new ArrayList<Parada>();
		Ruta ruta = esquemaCorrida.getRuta();

		if (ruta != null) {

			List<RutaSecuencia> lsRutaSecuencia = rutaSecuenciaService.buscarSecuenciaOrdenado(ruta);
			for (RutaSecuencia rc : lsRutaSecuencia) {
				Tramo tramo = rc.getTramo();
				if (tramo != null) {
					Parada origem = tramo.getOrigem();
					if (!lsOrigen.contains(origem)) {
						lsOrigen.add(origem);
					}

					Parada destino = tramo.getDestino();
					if (!lsDestino.contains(destino)) {
						lsDestino.add(destino);
					}
				}
			}

			if (!lsRutaSecuencia.isEmpty()) {
				lsOrigen.add(lsRutaSecuencia.get(lsRutaSecuencia.size() - 1).getTramo().getDestino());
			}

		}

		super.doAfterCompose(comp);
		
		btnDefault = new Button();
		diagramaAutobus = diagramaAutoBusService.obtenerID(esquemaCorrida.getRolOperativo().getDiagramaAutobus().getDiagramaautobusId());
		colorirAsientos();
		
		txtAsiento.setValue("");

		for (Short fila = 1; fila <= 7; fila++) {
			for (Short coluna = 1; coluna <= 13; coluna++) {
				if (fila == 1 || fila == 3 || fila == 5 || fila == 7) {
					Button button = getButtonAssento(fila, coluna);
					if ((button.getLabel() == null) || (button.getLabel().equals(""))) {
						button.setDisabled(true);
					}
				}
				Button button = getButtonAssento(fila, coluna);
				if (button != null) {
					button.setDisabled(!DetDiagramaAutobus.asientoVendible(button.getLabel()));
				}
			}
		}

		if (poltronaExclusiva.isChecked()) {
			cmbDestino.setDisabled(true);
			txtMotivo.setDisabled(true);
		}
		
		if (!temPermissao("ADM.VTA.SERVICIO.OCUPAR")){
			btnCeder.setDisabled(Boolean.TRUE);
		}
		
		if (!temPermissao("ADM.VTA.SERVICIO.LIBERAR")){
			btnLiberar.setDisabled(Boolean.TRUE);
		}
	}

	private boolean temPermissao(String permissao){
		Usuario usuario = usuarioService.obtenerID(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		
		for (UsuarioPerfil up : usuario.getUsuarioPerfilList()){
			List<PerfilFuncion> listPerfilFuncion = up.getPerfil().getPerfilFuncionList();
			for (PerfilFuncion pf : listPerfilFuncion) {
				if (pf.getFuncionSistema().getDescruta().equals(permissao)){
					return true;
				}
			}
		}
		return false;
	}
	
	public void colorirAsientos() throws InterruptedException {
		lsAsientos = esquemaAsientoService.obtenerPorCorrida(esquemaCorrida);
		
		for (DetDiagramaAutobus dd : diagramaAutobus.getDetDiagramaAutobusList()) {
			if ((dd.getNumefila() == 1) || (dd.getNumefila() == 3) || (dd.getNumefila() == 5) || (dd.getNumefila() == 7)) {
				Button button = getButtonAssento(dd.getNumefila(), dd.getNumecolumna());
				
				if(button == null){
					button = btnDefault;
				}
				
				button.setLabel(dd.getAsiento());
				button.setTooltiptext(dd.getAsiento());

				dd.getVendible();

				if ((button.getSclass().equals("myRed")) || (button.getSclass().equals("myBlue"))) {
					button.setSclass("myGreen");
				}

				for (EsquemaAsiento as : lsAsientos) {
					if (as.getNumasiento().equals(dd.getAsiento())) {
						if (as.getIndvendible()) {
							button.setSclass("myBlue");
							button.setLabel(as.getParada().getCveparada());
							break;
						} else {
							button.setSclass("myGray");
							button.setLabel(as.getParada().getCveparada());
							break;
						}
					}

				}
			}
		}
	}

	public void onClick$poltronaExclusiva() {
		cmbDestino.setDisabled(true);
		txtMotivo.setDisabled(true);
	}

	public void onClick$poltronaOcupada() {
		cmbDestino.setDisabled(false);
		txtMotivo.setDisabled(false);
	}

	public void onClick$btnCeder(Event ev) throws InterruptedException {
		try {
			Parada origen = (cmbOrigen.getSelectedItem() == null) ? null : (Parada) cmbOrigen.getSelectedItem().getValue();
			Parada destino = (cmbDestino.getSelectedItem() == null) ? null : (Parada) cmbDestino.getSelectedItem().getValue();

			if (poltronaOcupada.isSelected()) {
				esquemaAsientoService.bloqueoAsientoOcupacion(esquemaCorrida, txtAsiento.getText(), origen, destino, Integer.parseInt(txtTiempoLiberacion.getText()), txtMotivo.getText());
			} else {
				esquemaAsientoService.bloqueoAsientoExclusivo(esquemaCorrida, txtAsiento.getText(), origen, Integer.parseInt(txtTiempoLiberacion.getText()));
				txtMotivo.setText("");
			}

			colorirAsientos();
			txtAsiento.setValue("");

			Messagebox.show(Labels.getLabel("editarConfiguracionCorridaAsientoController.MSG.salvo"),
					Labels.getLabel("editarConfiguracionCorridaAsientoController.window.title"),
					Messagebox.OK, Messagebox.INFORMATION);

		} catch (WrongValueException e) {
			throw e;
		} catch (BusinessException e) {
			Messagebox.show(e.getLocalizedMessage(),
					Labels.getLabel("editarConfiguracionCorridaAsientoController.window.title"),
					Messagebox.OK, Messagebox.ERROR);
		}

	}

	public void onClick$btnLiberar(Event ev) throws InterruptedException {
		try {
			txtAsiento.setText((txtAsiento.getValue().endsWith(",")) ? txtAsiento.getValue() : txtAsiento.getValue().concat(","));

			List<String> todosAsientos = new ArrayList<String>();
			String asientos[] = txtAsiento.getValue().split(",");

			for (int i = 0; i < asientos.length; i++) {
				if (asientos[i].contains("-")) {
					String intervalo[] = asientos[i].split("-");
					Integer ini = Integer.parseInt(intervalo[0]);
					Integer fim = Integer.parseInt(intervalo[1]);

					while (ini <= fim) {
						todosAsientos.add(ini.toString());
						ini++;
					}
				} else {
					todosAsientos.add(asientos[i]);
				}
			}

			for (int i = 0; i < todosAsientos.size(); i++) {

				String asiento = todosAsientos.get(i);

				EsquemaAsiento esquemaAsientoBusqueda = esquemaAsientoService.obtenerPorCorridaeAsiento(esquemaCorrida, asiento);
				if (esquemaAsientoBusqueda.getEsquemaasientoId() != null) {
					lsAsientos.remove(esquemaAsientoBusqueda);

					esquemaAsientoBusqueda.setActivo(Boolean.FALSE);
					esquemaAsientoService.borrar(esquemaAsientoBusqueda);

					lsAsientos.add(esquemaAsientoBusqueda);
				}
			}

			Messagebox.show(Labels.getLabel("editarConfiguracionCorridaAsientoController.MSG.liberar"),
					Labels.getLabel("editarConfiguracionCorridaAsientoController.window.title"),
					Messagebox.OK, Messagebox.INFORMATION);

			txtAsiento.setValue("");
			txtMotivo.setText("");

			colorirAsientos();

		} catch (Exception ex) {
			log.error("Erro asiento:" + ex);
			txtAsiento.setValue("");
			Messagebox.show(Labels.getLabel("editarConfiguracionCorridaAsientoController.MSG.invalido"),
					Labels.getLabel("editarConfiguracionCorridaAsientoController.window.title"),
					Messagebox.OK, Messagebox.ERROR);

		}
	}

	public void onClick$btnApagar(Event ev) {
		try {
			int resp = Messagebox.show(
					Labels.getLabel("editarConfiguracionCorridaController.MSG.borrarPergunta"),
					Labels.getLabel("editarConfiguracionCorridaAsientoController.window.title"),
					Messagebox.YES | Messagebox.NO, Messagebox.QUESTION);

			if (resp == Messagebox.YES) {

				Messagebox.show(
						Labels.getLabel("editarConfiguracionCorridaController.MSG.borrarOK"),
						Labels.getLabel("editarConfiguracionCorridaAsientoController.window.title"),
						Messagebox.OK, Messagebox.INFORMATION);

				closeWindow();
			}
		} catch (Exception ex) {
			log.error(ex);
		}
	}

	private Button getButtonAssento(Short numeFila, Short numeColuna) {
		Button button = null;
		switch (numeFila) {
		case 1:
			switch (numeColuna) {
			case 1:
				button = btn_1_1;
				break;
			case 2:
				button = btn_1_2;
				break;
			case 3:
				button = btn_1_3;
				break;
			case 4:
				button = btn_1_4;
				break;
			case 5:
				button = btn_1_5;
				break;
			case 6:
				button = btn_1_6;
				break;
			case 7:
				button = btn_1_7;
				break;
			case 8:
				button = btn_1_8;
				break;
			case 9:
				button = btn_1_9;
				break;
			case 10:
				button = btn_1_10;
				break;
			case 11:
				button = btn_1_11;
				break;
			case 12:
				button = btn_1_12;
				break;
			case 13:
				button = btn_1_13;
				break;
			case 14:
				button = btn_1_14;
				break;
			case 15:
				button = btn_1_15;
				break;
			case 16:
				button = btn_1_16;
				break;
			case 17:
				button = btn_1_17;
				break;
			case 18:
				button = btn_1_18;
				break;
			case 19:
				button = btn_1_19;
				break;
			case 20:
				button = btn_1_20;
				break;
			case 21:
				button = btn_1_21;
				break;
			case 22:
				button = btn_1_22;
				break;
			case 23:
				button = btn_1_23;
				break;
			case 24:
				button = btn_1_24;
				break;
			case 25:
				button = btn_1_25;
				break;
			}
			break;

		case 3:
			switch (numeColuna) {
			case 1:
				button = btn_3_1;
				break;
			case 2:
				button = btn_3_2;
				break;
			case 3:
				button = btn_3_3;
				break;
			case 4:
				button = btn_3_4;
				break;
			case 5:
				button = btn_3_5;
				break;
			case 6:
				button = btn_3_6;
				break;
			case 7:
				button = btn_3_7;
				break;
			case 8:
				button = btn_3_8;
				break;
			case 9:
				button = btn_3_9;
				break;
			case 10:
				button = btn_3_10;
				break;
			case 11:
				button = btn_3_11;
				break;
			case 12:
				button = btn_3_12;
				break;
			case 13:
				button = btn_3_13;
				break;
			case 14:
				button = btn_3_14;
				break;
			case 15:
				button = btn_3_15;
				break;
			case 16:
				button = btn_3_16;
				break;
			case 17:
				button = btn_3_17;
				break;
			case 18:
				button = btn_3_18;
				break;
			case 19:
				button = btn_3_19;
				break;
			case 20:
				button = btn_3_20;
				break;
			case 21:
				button = btn_3_21;
				break;
			case 22:
				button = btn_3_22;
				break;
			case 23:
				button = btn_3_23;
				break;
			case 24:
				button = btn_3_24;
				break;
			case 25:
				button = btn_3_25;
				break;
			}
			break;

		case 5:
			switch (numeColuna) {
			case 1:
				button = btn_5_1;
				break;
			case 2:
				button = btn_5_2;
				break;
			case 3:
				button = btn_5_3;
				break;
			case 4:
				button = btn_5_4;
				break;
			case 5:
				button = btn_5_5;
				break;
			case 6:
				button = btn_5_6;
				break;
			case 7:
				button = btn_5_7;
				break;
			case 8:
				button = btn_5_8;
				break;
			case 9:
				button = btn_5_9;
				break;
			case 10:
				button = btn_5_10;
				break;
			case 11:
				button = btn_5_11;
				break;
			case 12:
				button = btn_5_12;
				break;
			case 13:
				button = btn_5_13;
				break;
			case 14:
				button = btn_5_14;
				break;
			case 15:
				button = btn_5_15;
				break;
			case 16:
				button = btn_5_16;
				break;
			case 17:
				button = btn_5_17;
				break;
			case 18:
				button = btn_5_18;
				break;
			case 19:
				button = btn_5_19;
				break;
			case 20:
				button = btn_5_20;
				break;
			case 21:
				button = btn_5_21;
				break;
			case 22:
				button = btn_5_22;
				break;
			case 23:
				button = btn_5_23;
				break;
			case 24:
				button = btn_5_24;
				break;
			case 25:
				button = btn_5_25;
				break;
			}
			break;

		case 7:
			switch (numeColuna) {
			case 1:
				button = btn_7_1;
				break;
			case 2:
				button = btn_7_2;
				break;
			case 3:
				button = btn_7_3;
				break;
			case 4:
				button = btn_7_4;
				break;
			case 5:
				button = btn_7_5;
				break;
			case 6:
				button = btn_7_6;
				break;
			case 7:
				button = btn_7_7;
				break;
			case 8:
				button = btn_7_8;
				break;
			case 9:
				button = btn_7_9;
				break;
			case 10:
				button = btn_7_10;
				break;
			case 11:
				button = btn_7_11;
				break;
			case 12:
				button = btn_7_12;
				break;
			case 13:
				button = btn_7_13;
				break;
			case 14:
				button = btn_7_14;
				break;
			case 15:
				button = btn_7_15;
				break;
			case 16:
				button = btn_7_16;
				break;
			case 17:
				button = btn_7_17;
				break;
			case 18:
				button = btn_7_18;
				break;
			case 19:
				button = btn_7_19;
				break;
			case 20:
				button = btn_7_20;
				break;
			case 21:
				button = btn_7_21;
				break;
			case 22:
				button = btn_7_22;
				break;
			case 23:
				button = btn_7_23;
				break;
			case 24:
				button = btn_7_24;
				break;
			case 25:
				button = btn_7_25;
				break;
			}		
			break;						
		}

		return button;
	}

	public void onClick$btn_1_1(Event ev) {
		try {
			String asiento = (btn_1_1.getTooltiptext().length() < 2) ? btn_1_1.getTooltiptext() : btn_1_1.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_1.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_1.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}

	}

	public void onClick$btn_1_2(Event ev) throws Exception {
		try {
			String asiento = (btn_1_2.getTooltiptext().length() < 2) ? btn_1_2.getTooltiptext() : btn_1_2.getTooltiptext();
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_2.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_2.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_1_3(Event ev) throws Exception {
		try {
			String asiento = (btn_1_3.getTooltiptext().length() < 2) ? btn_1_3.getTooltiptext() : btn_1_3.getTooltiptext();
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_3.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_3.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_1_4(Event ev) throws Exception {
		try {
			String asiento = (btn_1_4.getTooltiptext().length() < 2) ? btn_1_4.getTooltiptext() : btn_1_4.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_4.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_4.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_1_5(Event ev) throws Exception {
		try {
			String asiento = (btn_1_5.getTooltiptext().length() < 2) ? btn_1_5.getTooltiptext() : btn_1_5.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_5.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_5.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_1_6(Event ev) throws Exception {
		try {
			String asiento = (btn_1_6.getTooltiptext().length() < 2) ? btn_1_6.getTooltiptext() : btn_1_6.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_6.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_6.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_1_7(Event ev) throws Exception {
		try {
			String asiento = (btn_1_7.getTooltiptext().length() < 2) ? btn_1_7.getTooltiptext() : btn_1_7.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_7.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_7.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_1_8(Event ev) throws Exception {
		try {
			String asiento = (btn_1_8.getTooltiptext().length() < 2) ? btn_1_8.getTooltiptext() : btn_1_8.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_8.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_8.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_1_9(Event ev) throws Exception {
		try {
			String asiento = (btn_1_9.getTooltiptext().length() < 2) ? btn_1_9.getTooltiptext() : btn_1_9.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_9.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_9.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_1_10(Event ev) throws Exception {
		try {
			String asiento = (btn_1_10.getTooltiptext().length() < 2) ? btn_1_10.getTooltiptext() : btn_1_10.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_10.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_10.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_1_11(Event ev) throws Exception {
		try {
			String asiento = (btn_1_11.getTooltiptext().length() < 2) ? btn_1_11.getTooltiptext() : btn_1_11.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_11.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_11.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_1_12(Event ev) throws Exception {
		try {
			String asiento = (btn_1_12.getTooltiptext().length() < 2) ? btn_1_12.getTooltiptext() : btn_1_12.getTooltiptext();
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_12.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_12.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_1_13(Event ev) throws Exception {
		try {
			String asiento = (btn_1_13.getTooltiptext().length() < 2) ? btn_1_13.getTooltiptext() : btn_1_13.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_13.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_13.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_3_1(Event ev) throws Exception {
		try {
			String asiento = (btn_3_1.getTooltiptext().length() < 2) ? btn_3_1.getTooltiptext() : btn_3_1.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_1.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_1.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_3_2(Event ev) throws Exception {
		try {
			String asiento = (btn_3_2.getTooltiptext().length() < 2) ? btn_3_2.getTooltiptext() : btn_3_2.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_2.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_2.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_3_3(Event ev) throws Exception {
		try {
			String asiento = (btn_3_3.getTooltiptext().length() < 2) ? btn_3_3.getTooltiptext() : btn_3_3.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_3.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_3.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_3_4(Event ev) throws Exception {
		try {
			String asiento = (btn_3_4.getTooltiptext().length() < 2) ? btn_3_4.getTooltiptext() : btn_3_4.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_4.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_4.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_3_5(Event ev) throws Exception {
		try {
			String asiento = (btn_3_5.getTooltiptext().length() < 2) ? btn_3_5.getTooltiptext() : btn_3_5.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_5.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_5.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_3_6(Event ev) throws Exception {
		try {
			String asiento = (btn_3_6.getTooltiptext().length() < 2) ? btn_3_6.getTooltiptext() : btn_3_6.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_6.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_6.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_3_7(Event ev) throws Exception {
		try {
			String asiento = (btn_3_7.getTooltiptext().length() < 2) ? btn_3_7.getTooltiptext() : btn_3_7.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_7.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_7.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_3_8(Event ev) throws Exception {
		try {
			String asiento = (btn_3_8.getTooltiptext().length() < 2) ? btn_3_8.getTooltiptext() : btn_3_8.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_8.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_8.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_3_9(Event ev) throws Exception {
		try {
			String asiento = (btn_3_9.getTooltiptext().length() < 2) ? btn_3_9.getTooltiptext() : btn_3_9.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_9.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_9.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_3_10(Event ev) throws Exception {
		try {
			String asiento = (btn_3_10.getTooltiptext().length() < 2) ? btn_3_10.getTooltiptext() : btn_3_10.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_10.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_10.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_3_11(Event ev) throws Exception {
		try {
			String asiento = (btn_3_11.getTooltiptext().length() < 2) ? btn_3_11.getTooltiptext() : btn_3_11.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_11.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_11.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_3_12(Event ev) throws Exception {
		try {
			String asiento = (btn_3_12.getTooltiptext().length() < 2) ? btn_3_12.getTooltiptext() : btn_3_12.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_12.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_12.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_3_13(Event ev) throws Exception {
		try {
			String asiento = (btn_3_13.getTooltiptext().length() < 2) ? btn_3_13.getTooltiptext() : btn_3_13.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_13.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_13.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_5_1(Event ev) throws Exception {
		try {
			String asiento = (btn_5_1.getTooltiptext().length() < 2) ? btn_5_1.getTooltiptext() : btn_5_1.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_1.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_1.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_5_2(Event ev) throws Exception {
		try {
			String asiento = (btn_5_2.getTooltiptext().length() < 2) ? btn_5_2.getTooltiptext() : btn_5_2.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_2.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_2.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_5_3(Event ev) throws Exception {
		try {
			String asiento = (btn_5_3.getTooltiptext().length() < 2) ? btn_5_3.getTooltiptext() : btn_5_3.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_3.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_3.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_5_4(Event ev) throws Exception {
		try {
			String asiento = (btn_5_4.getTooltiptext().length() < 2) ? btn_5_4.getTooltiptext() : btn_5_4.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_4.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_4.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_5_5(Event ev) throws Exception {
		try {
			String asiento = (btn_5_5.getTooltiptext().length() < 2) ? btn_5_5.getTooltiptext() : btn_5_5.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_5.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_5.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_5_6(Event ev) throws Exception {
		try {
			String asiento = (btn_5_6.getTooltiptext().length() < 2) ? btn_5_6.getTooltiptext() : btn_5_6.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_6.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_6.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_5_7(Event ev) throws Exception {
		try {
			String asiento = (btn_5_7.getTooltiptext().length() < 2) ? btn_5_7.getTooltiptext() : btn_5_7.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_7.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_7.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_5_8(Event ev) throws Exception {
		try {
			String asiento = (btn_5_8.getTooltiptext().length() < 2) ? btn_5_8.getTooltiptext() : btn_5_8.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_8.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_8.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_5_9(Event ev) throws Exception {
		try {
			String asiento = (btn_5_9.getTooltiptext().length() < 2) ? btn_5_9.getTooltiptext() : btn_5_9.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_9.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_9.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_5_10(Event ev) throws Exception {
		try {
			String asiento = (btn_5_10.getTooltiptext().length() < 2) ? btn_5_10.getTooltiptext() : btn_5_10.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_10.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_10.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_5_11(Event ev) throws Exception {
		try {
			String asiento = (btn_5_11.getTooltiptext().length() < 2) ? btn_5_11.getTooltiptext() : btn_5_11.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_11.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_11.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_5_12(Event ev) throws Exception {
		try {
			String asiento = (btn_5_12.getTooltiptext().length() < 2) ? btn_5_12.getTooltiptext() : btn_5_12.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_12.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_12.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_5_13(Event ev) throws Exception {
		try {
			String asiento = (btn_5_13.getTooltiptext().length() < 2) ? btn_5_13.getTooltiptext() : btn_5_13.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_13.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_13.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_5_14(Event ev) throws Exception {
		try {
			String asiento = (btn_5_14.getTooltiptext().length() < 2) ? btn_5_14.getTooltiptext() : btn_5_14.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_14.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_14.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_7_1(Event ev) throws Exception {
		try {
			String asiento = (btn_7_1.getTooltiptext().length() < 2) ? btn_7_1.getTooltiptext() : btn_7_1.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_1.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_1.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_7_2(Event ev) throws Exception {
		try {
			String asiento = (btn_7_2.getTooltiptext().length() < 2) ? btn_7_2.getTooltiptext() : btn_7_2.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_2.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_2.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_7_3(Event ev) throws Exception {
		try {
			String asiento = (btn_7_3.getTooltiptext().length() < 2) ? btn_7_3.getTooltiptext() : btn_7_3.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_3.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_3.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_7_4(Event ev) throws Exception {
		try {
			String asiento = (btn_7_4.getTooltiptext().length() < 2) ? btn_7_4.getTooltiptext() : btn_7_4.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_4.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_4.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_7_5(Event ev) throws Exception {
		try {
			String asiento = (btn_7_5.getTooltiptext().length() < 2) ? btn_7_5.getTooltiptext() : btn_7_5.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_5.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_5.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_7_6(Event ev) throws Exception {
		try {
			String asiento = (btn_7_6.getTooltiptext().length() < 2) ? btn_7_6.getTooltiptext() : btn_7_6.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_6.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_6.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_7_7(Event ev) throws Exception {
		try {
			String asiento = (btn_7_7.getTooltiptext().length() < 2) ? btn_7_7.getTooltiptext() : btn_7_7.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_7.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_7.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_7_8(Event ev) throws Exception {
		try {
			String asiento = (btn_7_8.getTooltiptext().length() < 2) ? btn_7_8.getTooltiptext() : btn_7_8.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_8.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_8.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_7_9(Event ev) throws Exception {
		try {
			String asiento = (btn_7_9.getTooltiptext().length() < 2) ? btn_7_9.getTooltiptext() : btn_7_9.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_9.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_9.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_7_10(Event ev) throws Exception {
		try {
			String asiento = (btn_7_10.getTooltiptext().length() < 2) ? btn_7_10.getTooltiptext() : btn_7_10.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_10.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_10.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_7_11(Event ev) throws Exception {
		try {
			String asiento = (btn_7_11.getTooltiptext().length() < 2) ? btn_7_11.getTooltiptext() : btn_7_11.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_11.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_11.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_7_12(Event ev) {

		try {
			String asiento = (btn_7_12.getTooltiptext().length() < 2) ? btn_7_12.getTooltiptext() : btn_7_12.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_12.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_12.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onClick$btn_7_13(Event ev) {
		try {
			String asiento = (btn_7_13.getTooltiptext().length() < 2) ? btn_7_13.getTooltiptext() : btn_7_13.getTooltiptext();

			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_13.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_13.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	
	public void onClick$btn_7_14(Event ev) {
		try {
			String asiento = (btn_7_14.getTooltiptext().length() < 2) ? btn_7_14.getTooltiptext() : btn_7_14.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_14.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_14.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	
	public void onClick$btn_7_15(Event ev) {
		try {
			String asiento = (btn_7_15.getTooltiptext().length() < 2) ? btn_7_15.getTooltiptext() : btn_7_15.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_15.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_15.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	
	public void onClick$btn_7_16(Event ev) {
		try {
			String asiento = (btn_7_16.getTooltiptext().length() < 2) ? btn_7_16.getTooltiptext() : btn_7_16.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_16.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_16.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	
	public void onClick$btn_7_17(Event ev) {
		try {
			String asiento = (btn_7_17.getTooltiptext().length() < 2) ? btn_7_17.getTooltiptext() : btn_7_17.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_17.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_17.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	
	public void onClick$btn_7_18(Event ev) {
		try {
			String asiento = (btn_7_18.getTooltiptext().length() < 2) ? btn_7_18.getTooltiptext() : btn_7_18.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_18.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_18.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_7_19(Event ev) {
		try {
			String asiento = (btn_7_19.getTooltiptext().length() < 2) ? btn_7_19.getTooltiptext() : btn_7_19.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_19.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_19.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_7_20(Event ev) {
		try {
			String asiento = (btn_7_20.getTooltiptext().length() < 2) ? btn_7_20.getTooltiptext() : btn_7_20.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_20.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_20.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_7_21(Event ev) {
		try {
			String asiento = (btn_7_21.getTooltiptext().length() < 2) ? btn_7_21.getTooltiptext() : btn_7_21.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_21.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_21.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_7_22(Event ev) {
		try {
			String asiento = (btn_7_22.getTooltiptext().length() < 2) ? btn_7_22.getTooltiptext() : btn_7_22.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_22.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_22.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_7_23(Event ev) {
		try {
			String asiento = (btn_7_23.getTooltiptext().length() < 2) ? btn_7_23.getTooltiptext() : btn_7_23.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_23.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_23.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_7_24(Event ev) {
		try {
			String asiento = (btn_7_24.getTooltiptext().length() < 2) ? btn_7_24.getTooltiptext() : btn_7_24.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_24.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_24.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_7_25(Event ev) {
		try {
			String asiento = (btn_7_25.getTooltiptext().length() < 2) ? btn_7_25.getTooltiptext() : btn_7_25.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_7_25.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_7_25.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	
	public void onClick$btn_1_14(Event ev) {
		try {
			String asiento = (btn_1_14.getTooltiptext().length() < 2) ? btn_1_14.getTooltiptext() : btn_1_14.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_14.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_14.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_1_15(Event ev) {
		try {
			String asiento = (btn_1_15.getTooltiptext().length() < 2) ? btn_1_15.getTooltiptext() : btn_1_15.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_15.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_15.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_1_16(Event ev) {
		try {
			String asiento = (btn_1_16.getTooltiptext().length() < 2) ? btn_1_16.getTooltiptext() : btn_1_16.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_16.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_16.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	
	public void onClick$btn_1_17(Event ev) {
		try {
			String asiento = (btn_1_17.getTooltiptext().length() < 2) ? btn_1_17.getTooltiptext() : btn_1_17.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_17.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_17.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	
	public void onClick$btn_1_18(Event ev) {
		try {
			String asiento = (btn_1_18.getTooltiptext().length() < 2) ? btn_1_18.getTooltiptext() : btn_1_18.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_18.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_18.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_1_19(Event ev) {
		try {
			String asiento = (btn_1_19.getTooltiptext().length() < 2) ? btn_1_19.getTooltiptext() : btn_1_19.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_19.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_19.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_1_20(Event ev) {
		try {
			String asiento = (btn_1_20.getTooltiptext().length() < 2) ? btn_1_20.getTooltiptext() : btn_1_20.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_20.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_20.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_1_21(Event ev) {
		try {
			String asiento = (btn_1_21.getTooltiptext().length() < 2) ? btn_1_21.getTooltiptext() : btn_1_21.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_21.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_21.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_1_22(Event ev) {
		try {
			String asiento = (btn_1_22.getTooltiptext().length() < 2) ? btn_1_22.getTooltiptext() : btn_1_22.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_22.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_22.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_1_23(Event ev) {
		try {
			String asiento = (btn_1_23.getTooltiptext().length() < 2) ? btn_1_23.getTooltiptext() : btn_1_23.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_23.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_23.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_1_24(Event ev) {
		try {
			String asiento = (btn_1_24.getTooltiptext().length() < 2) ? btn_1_24.getTooltiptext() : btn_1_24.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_24.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_24.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_1_25(Event ev) {
		try {
			String asiento = (btn_1_25.getTooltiptext().length() < 2) ? btn_1_25.getTooltiptext() : btn_1_25.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_1_25.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_1_25.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	
	public void onClick$btn_3_14(Event ev) {
		try {
			String asiento = (btn_3_14.getTooltiptext().length() < 2) ? btn_3_14.getTooltiptext() : btn_3_14.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_14.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_14.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_3_15(Event ev) {
		try {
			String asiento = (btn_3_15.getTooltiptext().length() < 2) ? btn_3_15.getTooltiptext() : btn_3_15.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_15.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_15.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_3_16(Event ev) {
		try {
			String asiento = (btn_3_16.getTooltiptext().length() < 2) ? btn_3_16.getTooltiptext() : btn_3_16.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_16.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_16.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_3_17(Event ev) {
		try {
			String asiento = (btn_3_17.getTooltiptext().length() < 2) ? btn_3_17.getTooltiptext() : btn_3_17.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_17.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_17.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_3_18(Event ev) {
		try {
			String asiento = (btn_3_18.getTooltiptext().length() < 2) ? btn_3_18.getTooltiptext() : btn_3_18.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_18.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_18.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_3_19(Event ev) {
		try {
			String asiento = (btn_3_19.getTooltiptext().length() < 2) ? btn_3_19.getTooltiptext() : btn_3_19.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_19.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_19.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_3_20(Event ev) {
		try {
			String asiento = (btn_3_20.getTooltiptext().length() < 2) ? btn_3_20.getTooltiptext() : btn_3_20.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_20.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_20.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_3_21(Event ev) {
		try {
			String asiento = (btn_3_21.getTooltiptext().length() < 2) ? btn_3_21.getTooltiptext() : btn_3_21.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_21.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_21.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_3_22(Event ev) {
		try {
			String asiento = (btn_3_22.getTooltiptext().length() < 2) ? btn_3_22.getTooltiptext() : btn_3_22.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_22.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_22.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_3_23(Event ev) {
		try {
			String asiento = (btn_3_23.getTooltiptext().length() < 2) ? btn_3_23.getTooltiptext() : btn_3_23.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_23.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_23.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_3_24(Event ev) {
		try {
			String asiento = (btn_3_24.getTooltiptext().length() < 2) ? btn_3_24.getTooltiptext() : btn_3_24.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_24.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_24.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_3_25(Event ev) {
		try {
			String asiento = (btn_3_25.getTooltiptext().length() < 2) ? btn_3_25.getTooltiptext() : btn_3_25.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_3_25.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_3_25.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	
	public void onClick$btn_5_15(Event ev) {
		try {
			String asiento = (btn_5_15.getTooltiptext().length() < 2) ? btn_5_15.getTooltiptext() : btn_5_15.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_15.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_15.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_5_16(Event ev) {
		try {
			String asiento = (btn_5_16.getTooltiptext().length() < 2) ? btn_5_16.getTooltiptext() : btn_5_16.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_16.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_16.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_5_17(Event ev) {
		try {
			String asiento = (btn_5_17.getTooltiptext().length() < 2) ? btn_5_17.getTooltiptext() : btn_5_17.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_17.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_17.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_5_18(Event ev) {
		try {
			String asiento = (btn_5_18.getTooltiptext().length() < 2) ? btn_5_18.getTooltiptext() : btn_5_18.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_18.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_18.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_5_19(Event ev) {
		try {
			String asiento = (btn_5_19.getTooltiptext().length() < 2) ? btn_5_19.getTooltiptext() : btn_5_19.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_19.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_19.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_5_20(Event ev) {
		try {
			String asiento = (btn_5_20.getTooltiptext().length() < 2) ? btn_5_20.getTooltiptext() : btn_5_20.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_20.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_20.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_5_21(Event ev) {
		try {
			String asiento = (btn_5_21.getTooltiptext().length() < 2) ? btn_5_21.getTooltiptext() : btn_5_21.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_21.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_21.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_5_22(Event ev) {
		try {
			String asiento = (btn_5_22.getTooltiptext().length() < 2) ? btn_5_22.getTooltiptext() : btn_5_22.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_22.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_22.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_5_23(Event ev) {
		try {
			String asiento = (btn_5_23.getTooltiptext().length() < 2) ? btn_5_23.getTooltiptext() : btn_5_23.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_23.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_23.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_5_24(Event ev) {
		try {
			String asiento = (btn_5_24.getTooltiptext().length() < 2) ? btn_5_24.getTooltiptext() : btn_5_24.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_24.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_24.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}
	public void onClick$btn_5_25(Event ev) {
		try {
			String asiento = (btn_5_25.getTooltiptext().length() < 2) ? btn_5_25.getTooltiptext() : btn_5_25.getTooltiptext();
			
			if (!txtAsiento.getValue().contains(asiento)) {
				txtAsiento.setValue(txtAsiento.getValue().concat(asiento.concat(",")));
				btn_5_25.setSclass("myRed");
			} else {
				txtAsiento.setValue(txtAsiento.getValue().replace(asiento.concat(","), ""));
				btn_5_25.setSclass("myGreen");
			}
		} catch (Exception e) {
			log.info("Asiento Inexistente");
		}
	}

	public void onChanging$cmbOrigen(InputEvent ev) {
		String strParada = ev.getValue().toUpperCase();

		List<Parada> lsParadas = new ArrayList<Parada>();
		if (!strParada.isEmpty()) {
			lsParadas = paradaService.buscaLike(strParada);

			BindingListModel listModelParada = new BindingListModelList(lsParadas, true);
			cmbOrigen.setModel(listModelParada);

			cmbOrigen.open();
		} else {
			lsParadas.clear();

			BindingListModel listModelParada = new BindingListModelList(lsParadas, true);
			cmbOrigen.setModel(listModelParada);
		}
	}

	public EsquemaCorrida getEsquemaCorrida() {
		return esquemaCorrida;
	}

	public void setEsquemaCorrida(EsquemaCorrida esquemaCorrida) {
		this.esquemaCorrida = esquemaCorrida;
	}

	public EsquemaCorridaService getEsquemaCorridaService() {
		return esquemaCorridaService;
	}

	public void setEsquemaCorridaService(EsquemaCorridaService esquemaCorridaService) {
		this.esquemaCorridaService = esquemaCorridaService;
	}

	public static Logger getLog() {
		return log;
	}

	public static void setLog(Logger log) {
		EditarCorridaAsientoController.log = log;
	}

	public List<Parada> getLsOrigen() {
		return lsOrigen;
	}

	public void setLsOrigen(List<Parada> lsOrigen) {
		this.lsOrigen = lsOrigen;
	}

	public List<Parada> getLsDestino() {
		return lsDestino;
	}

	public void setLsDestino(List<Parada> lsDestino) {
		this.lsDestino = lsDestino;
	}

	public ParadaService getParadaService() {
		return paradaService;
	}

	public void setParadaService(ParadaService paradaService) {
		this.paradaService = paradaService;
	}

	public Button getBtn_1_1() {
		return btn_1_1;
	}

	public void setBtn_1_1(Button btn_1_1) {
		this.btn_1_1 = btn_1_1;
	}

	public Button getBtn_1_10() {
		return btn_1_10;
	}

	public void setBtn_1_10(Button btn_1_10) {
		this.btn_1_10 = btn_1_10;
	}

	public Button getBtn_1_11() {
		return btn_1_11;
	}

	public void setBtn_1_11(Button btn_1_11) {
		this.btn_1_11 = btn_1_11;
	}

	public Button getBtn_1_12() {
		return btn_1_12;
	}

	public void setBtn_1_12(Button btn_1_12) {
		this.btn_1_12 = btn_1_12;
	}

	public Button getBtn_1_13() {
		return btn_1_13;
	}

	public void setBtn_1_13(Button btn_1_13) {
		this.btn_1_13 = btn_1_13;
	}

	public Button getBtn_1_2() {
		return btn_1_2;
	}

	public void setBtn_1_2(Button btn_1_2) {
		this.btn_1_2 = btn_1_2;
	}

	public Button getBtn_1_3() {
		return btn_1_3;
	}

	public void setBtn_1_3(Button btn_1_3) {
		this.btn_1_3 = btn_1_3;
	}

	public Button getBtn_1_4() {
		return btn_1_4;
	}

	public void setBtn_1_4(Button btn_1_4) {
		this.btn_1_4 = btn_1_4;
	}

	public Button getBtn_1_5() {
		return btn_1_5;
	}

	public void setBtn_1_5(Button btn_1_5) {
		this.btn_1_5 = btn_1_5;
	}

	public Button getBtn_1_6() {
		return btn_1_6;
	}

	public void setBtn_1_6(Button btn_1_6) {
		this.btn_1_6 = btn_1_6;
	}

	public Button getBtn_1_7() {
		return btn_1_7;
	}

	public void setBtn_1_7(Button btn_1_7) {
		this.btn_1_7 = btn_1_7;
	}

	public Button getBtn_1_8() {
		return btn_1_8;
	}

	public void setBtn_1_8(Button btn_1_8) {
		this.btn_1_8 = btn_1_8;
	}

	public Button getBtn_1_9() {
		return btn_1_9;
	}

	public void setBtn_1_9(Button btn_1_9) {
		this.btn_1_9 = btn_1_9;
	}

	public Button getBtn_3_1() {
		return btn_3_1;
	}

	public void setBtn_3_1(Button btn_3_1) {
		this.btn_3_1 = btn_3_1;
	}

	public Button getBtn_3_10() {
		return btn_3_10;
	}

	public void setBtn_3_10(Button btn_3_10) {
		this.btn_3_10 = btn_3_10;
	}

	public Button getBtn_3_11() {
		return btn_3_11;
	}

	public void setBtn_3_11(Button btn_3_11) {
		this.btn_3_11 = btn_3_11;
	}

	public Button getBtn_3_12() {
		return btn_3_12;
	}

	public void setBtn_3_12(Button btn_3_12) {
		this.btn_3_12 = btn_3_12;
	}

	public Button getBtn_3_13() {
		return btn_3_13;
	}

	public void setBtn_3_13(Button btn_3_13) {
		this.btn_3_13 = btn_3_13;
	}

	public Button getBtn_3_2() {
		return btn_3_2;
	}

	public void setBtn_3_2(Button btn_3_2) {
		this.btn_3_2 = btn_3_2;
	}

	public Button getBtn_3_3() {
		return btn_3_3;
	}

	public void setBtn_3_3(Button btn_3_3) {
		this.btn_3_3 = btn_3_3;
	}

	public Button getBtn_3_4() {
		return btn_3_4;
	}

	public void setBtn_3_4(Button btn_3_4) {
		this.btn_3_4 = btn_3_4;
	}

	public Button getBtn_3_5() {
		return btn_3_5;
	}

	public void setBtn_3_5(Button btn_3_5) {
		this.btn_3_5 = btn_3_5;
	}

	public Button getBtn_3_6() {
		return btn_3_6;
	}

	public void setBtn_3_6(Button btn_3_6) {
		this.btn_3_6 = btn_3_6;
	}

	public Button getBtn_3_7() {
		return btn_3_7;
	}

	public void setBtn_3_7(Button btn_3_7) {
		this.btn_3_7 = btn_3_7;
	}

	public Button getBtn_3_8() {
		return btn_3_8;
	}

	public void setBtn_3_8(Button btn_3_8) {
		this.btn_3_8 = btn_3_8;
	}

	public Button getBtn_3_9() {
		return btn_3_9;
	}

	public void setBtn_3_9(Button btn_3_9) {
		this.btn_3_9 = btn_3_9;
	}

	public Button getBtn_5_1() {
		return btn_5_1;
	}

	public void setBtn_5_1(Button btn_5_1) {
		this.btn_5_1 = btn_5_1;
	}

	public Button getBtn_5_10() {
		return btn_5_10;
	}

	public void setBtn_5_10(Button btn_5_10) {
		this.btn_5_10 = btn_5_10;
	}

	public Button getBtn_5_11() {
		return btn_5_11;
	}

	public void setBtn_5_11(Button btn_5_11) {
		this.btn_5_11 = btn_5_11;
	}

	public Button getBtn_5_12() {
		return btn_5_12;
	}

	public void setBtn_5_12(Button btn_5_12) {
		this.btn_5_12 = btn_5_12;
	}

	public Button getBtn_5_13() {
		return btn_5_13;
	}

	public void setBtn_5_13(Button btn_5_13) {
		this.btn_5_13 = btn_5_13;
	}
	public Button getBtn_5_14() {
		return btn_5_14;
	}
	
	public void setBtn_5_14(Button btn_5_14) {
		this.btn_5_14 = btn_5_14;
	}

	public Button getBtn_5_2() {
		return btn_5_2;
	}

	public void setBtn_5_2(Button btn_5_2) {
		this.btn_5_2 = btn_5_2;
	}

	public Button getBtn_5_3() {
		return btn_5_3;
	}

	public void setBtn_5_3(Button btn_5_3) {
		this.btn_5_3 = btn_5_3;
	}

	public Button getBtn_5_4() {
		return btn_5_4;
	}

	public void setBtn_5_4(Button btn_5_4) {
		this.btn_5_4 = btn_5_4;
	}

	public Button getBtn_5_5() {
		return btn_5_5;
	}

	public void setBtn_5_5(Button btn_5_5) {
		this.btn_5_5 = btn_5_5;
	}

	public Button getBtn_5_6() {
		return btn_5_6;
	}

	public void setBtn_5_6(Button btn_5_6) {
		this.btn_5_6 = btn_5_6;
	}

	public Button getBtn_5_7() {
		return btn_5_7;
	}

	public void setBtn_5_7(Button btn_5_7) {
		this.btn_5_7 = btn_5_7;
	}

	public Button getBtn_5_8() {
		return btn_5_8;
	}

	public void setBtn_5_8(Button btn_5_8) {
		this.btn_5_8 = btn_5_8;
	}

	public Button getBtn_5_9() {
		return btn_5_9;
	}

	public void setBtn_5_9(Button btn_5_9) {
		this.btn_5_9 = btn_5_9;
	}

	public Button getBtn_7_1() {
		return btn_7_1;
	}

	public void setBtn_7_1(Button btn_7_1) {
		this.btn_7_1 = btn_7_1;
	}

	public Button getBtn_7_10() {
		return btn_7_10;
	}

	public void setBtn_7_10(Button btn_7_10) {
		this.btn_7_10 = btn_7_10;
	}

	public Button getBtn_7_11() {
		return btn_7_11;
	}

	public void setBtn_7_11(Button btn_7_11) {
		this.btn_7_11 = btn_7_11;
	}

	public Button getBtn_7_12() {
		return btn_7_12;
	}

	public void setBtn_7_12(Button btn_7_12) {
		this.btn_7_12 = btn_7_12;
	}

	public Button getBtn_7_13() {
		return btn_7_13;
	}

	public void setBtn_7_13(Button btn_7_13) {
		this.btn_7_13 = btn_7_13;
	}
	
	public Button getBtn_7_14() {
		return btn_7_14;
	}
	
	public void setBtn_7_14(Button btn_7_14) {
		this.btn_7_14 = btn_7_14;
	}

	public Button getBtn_7_2() {
		return btn_7_2;
	}

	public void setBtn_7_2(Button btn_7_2) {
		this.btn_7_2 = btn_7_2;
	}

	public Button getBtn_7_3() {
		return btn_7_3;
	}

	public void setBtn_7_3(Button btn_7_3) {
		this.btn_7_3 = btn_7_3;
	}

	public Button getBtn_7_4() {
		return btn_7_4;
	}

	public void setBtn_7_4(Button btn_7_4) {
		this.btn_7_4 = btn_7_4;
	}

	public Button getBtn_7_5() {
		return btn_7_5;
	}

	public void setBtn_7_5(Button btn_7_5) {
		this.btn_7_5 = btn_7_5;
	}

	public Button getBtn_7_6() {
		return btn_7_6;
	}

	public void setBtn_7_6(Button btn_7_6) {
		this.btn_7_6 = btn_7_6;
	}

	public Button getBtn_7_7() {
		return btn_7_7;
	}

	public void setBtn_7_7(Button btn_7_7) {
		this.btn_7_7 = btn_7_7;
	}

	public Button getBtn_7_8() {
		return btn_7_8;
	}

	public void setBtn_7_8(Button btn_7_8) {
		this.btn_7_8 = btn_7_8;
	}

	public Button getBtn_7_9() {
		return btn_7_9;
	}

	public void setBtn_7_9(Button btn_7_9) {
		this.btn_7_9 = btn_7_9;
	}

	public DiagramaAutobus getDiagramaAutobus() {
		return diagramaAutobus;
	}

	public void setDiagramaAutobus(DiagramaAutobus diagramaAutobus) {
		this.diagramaAutobus = diagramaAutobus;
	}

	public DiagramaAutobusService getDiagramaAutoBusService() {
		return diagramaAutoBusService;
	}

	public void setDiagramaAutoBusService(DiagramaAutobusService diagramaAutoBusService) {
		this.diagramaAutoBusService = diagramaAutoBusService;
	}

	public Textbox getTxtAsineto() {
		return txtAsiento;
	}

	public void setTxtAsineto(Textbox txtAsineto) {
		this.txtAsiento = txtAsineto;
	}

	public Button getBtnCeder() {
		return btnCeder;
	}

	public void setBtnCeder(Button btnCeder) {
		this.btnCeder = btnCeder;
	}

	public Button getBtnLiberar() {
		return btnLiberar;
	}

	public void setBtnLiberar(Button btnLiberar) {
		this.btnLiberar = btnLiberar;
	}

	public Combobox getCmbOrigen() {
		return cmbOrigen;
	}

	public void setCmbOrigen(Combobox cmbOrigen) {
		this.cmbOrigen = cmbOrigen;
	}

	public Textbox getTxtMotivo() {
		return txtMotivo;
	}

	public void setTxtMotivo(Textbox txtMotivo) {
		this.txtMotivo = txtMotivo;
	}

	public MyComboboxEstandar getCmbDestino() {
		return cmbDestino;
	}

	public void setCmbDestino(MyComboboxEstandar cmbDestino) {
		this.cmbDestino = cmbDestino;
	}
	
	public Button getBtn_1_14() {
		return btn_1_14;
	}

	public void setBtn_1_14(Button btn_1_14) {
		this.btn_1_14 = btn_1_14;
	}

	public Button getBtn_1_15() {
		return btn_1_15;
	}

	public void setBtn_1_15(Button btn_1_15) {
		this.btn_1_15 = btn_1_15;
	}

	public Button getBtn_1_16() {
		return btn_1_16;
	}

	public void setBtn_1_16(Button btn_1_16) {
		this.btn_1_16 = btn_1_16;
	}

	public Button getBtn_1_17() {
		return btn_1_17;
	}

	public void setBtn_1_17(Button btn_1_17) {
		this.btn_1_17 = btn_1_17;
	}

	public Button getBtn_1_18() {
		return btn_1_18;
	}

	public void setBtn_1_18(Button btn_1_18) {
		this.btn_1_18 = btn_1_18;
	}

	public Button getBtn_1_19() {
		return btn_1_19;
	}

	public void setBtn_1_19(Button btn_1_19) {
		this.btn_1_19 = btn_1_19;
	}

	public Button getBtn_1_20() {
		return btn_1_20;
	}

	public void setBtn_1_20(Button btn_1_20) {
		this.btn_1_20 = btn_1_20;
	}

	public Button getBtn_1_21() {
		return btn_1_21;
	}

	public void setBtn_1_21(Button btn_1_21) {
		this.btn_1_21 = btn_1_21;
	}

	public Button getBtn_1_22() {
		return btn_1_22;
	}

	public void setBtn_1_22(Button btn_1_22) {
		this.btn_1_22 = btn_1_22;
	}

	public Button getBtn_1_23() {
		return btn_1_23;
	}

	public void setBtn_1_23(Button btn_1_23) {
		this.btn_1_23 = btn_1_23;
	}

	public Button getBtn_1_24() {
		return btn_1_24;
	}

	public void setBtn_1_24(Button btn_1_24) {
		this.btn_1_24 = btn_1_24;
	}

	public Button getBtn_1_25() {
		return btn_1_25;
	}

	public void setBtn_1_25(Button btn_1_25) {
		this.btn_1_25 = btn_1_25;
	}

	public Button getBtn_3_14() {
		return btn_3_14;
	}

	public void setBtn_3_14(Button btn_3_14) {
		this.btn_3_14 = btn_3_14;
	}

	public Button getBtn_3_15() {
		return btn_3_15;
	}

	public void setBtn_3_15(Button btn_3_15) {
		this.btn_3_15 = btn_3_15;
	}

	public Button getBtn_3_16() {
		return btn_3_16;
	}

	public void setBtn_3_16(Button btn_3_16) {
		this.btn_3_16 = btn_3_16;
	}

	public Button getBtn_3_17() {
		return btn_3_17;
	}

	public void setBtn_3_17(Button btn_3_17) {
		this.btn_3_17 = btn_3_17;
	}

	public Button getBtn_3_18() {
		return btn_3_18;
	}

	public void setBtn_3_18(Button btn_3_18) {
		this.btn_3_18 = btn_3_18;
	}

	public Button getBtn_3_19() {
		return btn_3_19;
	}

	public void setBtn_3_19(Button btn_3_19) {
		this.btn_3_19 = btn_3_19;
	}

	public Button getBtn_3_20() {
		return btn_3_20;
	}

	public void setBtn_3_20(Button btn_3_20) {
		this.btn_3_20 = btn_3_20;
	}

	public Button getBtn_3_21() {
		return btn_3_21;
	}

	public void setBtn_3_21(Button btn_3_21) {
		this.btn_3_21 = btn_3_21;
	}

	public Button getBtn_3_22() {
		return btn_3_22;
	}

	public void setBtn_3_22(Button btn_3_22) {
		this.btn_3_22 = btn_3_22;
	}

	public Button getBtn_3_23() {
		return btn_3_23;
	}

	public void setBtn_3_23(Button btn_3_23) {
		this.btn_3_23 = btn_3_23;
	}

	public Button getBtn_3_24() {
		return btn_3_24;
	}

	public void setBtn_3_24(Button btn_3_24) {
		this.btn_3_24 = btn_3_24;
	}

	public Button getBtn_3_25() {
		return btn_3_25;
	}

	public void setBtn_3_25(Button btn_3_25) {
		this.btn_3_25 = btn_3_25;
	}

	public Button getBtn_5_15() {
		return btn_5_15;
	}

	public void setBtn_5_15(Button btn_5_15) {
		this.btn_5_15 = btn_5_15;
	}

	public Button getBtn_5_16() {
		return btn_5_16;
	}

	public void setBtn_5_16(Button btn_5_16) {
		this.btn_5_16 = btn_5_16;
	}

	public Button getBtn_5_17() {
		return btn_5_17;
	}

	public void setBtn_5_17(Button btn_5_17) {
		this.btn_5_17 = btn_5_17;
	}

	public Button getBtn_5_18() {
		return btn_5_18;
	}

	public void setBtn_5_18(Button btn_5_18) {
		this.btn_5_18 = btn_5_18;
	}

	public Button getBtn_5_19() {
		return btn_5_19;
	}

	public void setBtn_5_19(Button btn_5_19) {
		this.btn_5_19 = btn_5_19;
	}

	public Button getBtn_5_20() {
		return btn_5_20;
	}

	public void setBtn_5_20(Button btn_5_20) {
		this.btn_5_20 = btn_5_20;
	}

	public Button getBtn_5_21() {
		return btn_5_21;
	}

	public void setBtn_5_21(Button btn_5_21) {
		this.btn_5_21 = btn_5_21;
	}

	public Button getBtn_5_22() {
		return btn_5_22;
	}

	public void setBtn_5_22(Button btn_5_22) {
		this.btn_5_22 = btn_5_22;
	}

	public Button getBtn_5_23() {
		return btn_5_23;
	}

	public void setBtn_5_23(Button btn_5_23) {
		this.btn_5_23 = btn_5_23;
	}

	public Button getBtn_5_24() {
		return btn_5_24;
	}

	public void setBtn_5_24(Button btn_5_24) {
		this.btn_5_24 = btn_5_24;
	}

	public Button getBtn_5_25() {
		return btn_5_25;
	}

	public void setBtn_5_25(Button btn_5_25) {
		this.btn_5_25 = btn_5_25;
	}

	public Button getBtn_7_15() {
		return btn_7_15;
	}

	public void setBtn_7_15(Button btn_7_15) {
		this.btn_7_15 = btn_7_15;
	}

	public Button getBtn_7_16() {
		return btn_7_16;
	}

	public void setBtn_7_16(Button btn_7_16) {
		this.btn_7_16 = btn_7_16;
	}

	public Button getBtn_7_17() {
		return btn_7_17;
	}

	public void setBtn_7_17(Button btn_7_17) {
		this.btn_7_17 = btn_7_17;
	}

	public Button getBtn_7_18() {
		return btn_7_18;
	}

	public void setBtn_7_18(Button btn_7_18) {
		this.btn_7_18 = btn_7_18;
	}

	public Button getBtn_7_19() {
		return btn_7_19;
	}

	public void setBtn_7_19(Button btn_7_19) {
		this.btn_7_19 = btn_7_19;
	}

	public Button getBtn_7_20() {
		return btn_7_20;
	}

	public void setBtn_7_20(Button btn_7_20) {
		this.btn_7_20 = btn_7_20;
	}

	public Button getBtn_7_21() {
		return btn_7_21;
	}

	public void setBtn_7_21(Button btn_7_21) {
		this.btn_7_21 = btn_7_21;
	}

	public Button getBtn_7_22() {
		return btn_7_22;
	}

	public void setBtn_7_22(Button btn_7_22) {
		this.btn_7_22 = btn_7_22;
	}

	public Button getBtn_7_23() {
		return btn_7_23;
	}

	public void setBtn_7_23(Button btn_7_23) {
		this.btn_7_23 = btn_7_23;
	}

	public Button getBtn_7_24() {
		return btn_7_24;
	}

	public void setBtn_7_24(Button btn_7_24) {
		this.btn_7_24 = btn_7_24;
	}

	public Button getBtn_7_25() {
		return btn_7_25;
	}

	public void setBtn_7_25(Button btn_7_25) {
		this.btn_7_25 = btn_7_25;
	}

	public Button getBtnDefault() {
		return btnDefault;
	}

	public void setBtnDefault(Button btnDefault) {
		this.btnDefault = btnDefault;
	}

	public Boolean isAsientoMaior54() {
		return diagramaAutobus.getCantasientos() > 54;
	}
}
